# Class ImageCellComponent

- Defined in packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:29

#####
Index

### Constructors

constructor

### Properties

position
preset?
repeat
size
value

## Constructors

### constructor

- new ImageCellComponent(): ImageCellComponent

- #### Returns ImageCellComponent

## Properties

### position

position: string = BackgroundPositionOptions.CENTER_CENTER

- Defined in packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:41

### `Optional` preset

preset?: string

- Defined in packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:32

### repeat

repeat: BackgroundRepeat = BackgroundRepeatOptions.NO_REPEAT

- Defined in packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:38

### size

size: string = BackgroundSizeOptions.COVER

- Defined in packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:35

### value

value: string = null

- Defined in packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:44